# Uses of Class
org.eclipse.ui.texteditor.MarkerAnnotation

Packages that use MarkerAnnotation
Package
Description
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of MarkerAnnotation in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return MarkerAnnotation
Modifier and Type
Method
Description
`protected MarkerAnnotation`
AbstractMarkerAnnotationModel.`createMarkerAnnotation(IMarker marker)`
Creates a new annotation for the given marker.
`final MarkerAnnotation`
AbstractMarkerAnnotationModel.`getMarkerAnnotation(IMarker marker)`
Returns this model's annotation for the given marker.